# Batqa

## Description

Bayesian Total Error Analysis (BATEA).

This package is a framework for testing any conceptual model (Machine learning model or other like hydrological model, ... etc ).

It has four types of analysis:
  - with Remnant error.
  - with Output and Remnant error.
  - with Structural, Output and Remnant error.
  - with Input, Structural and Output and Remnant error.

  The model of the error are pre-defined. See file parameters.R.

  Input observations can be multi-variate timeseries.
  Output is an uni-variate timeseries.
  Predicted value (from the conceptual model) is an uni-variate timeseries.

  So far Input, event though as multi-variate, have an identical error model.
## Installation

```R
# devtools Version: 2.0.1.9000
# devtools::install_github("r-lib/devtools")
library("devtools")
devtools::install_git("https://git.nilu.no/rbayes/batqa.git")

```
